package com.steerinfo.baseinfo.meterbaseloadpoint.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseLoadPoint implements IBasePO<String> {
    /**
     * 装卸点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="装卸点编号",required=true)
    private String loadPointNo;

    /**
     * 装卸点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="装卸点名称",required=true)
    private String loadPointName;

    /**
     * 经度(LONGITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="经度",required=false)
    private String longitude;

    /**
     * 纬度(LATITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="纬度",required=false)
    private String latitude;

    /**
     * 半径(RADIUS,VARCHAR,10)
     */
    @ApiModelProperty(value="半径",required=false)
    private String radius;

    /**
     * 经度间距(LONGITUDE_SPACE,VARCHAR,10)
     */
    @ApiModelProperty(value="经度间距",required=false)
    private String longitudeSpace;

    /**
     * 纬度间距(LATITUDE_SPACE,VARCHAR,10)
     */
    @ApiModelProperty(value="纬度间距",required=false)
    private String latitudeSpace;

    /**
     * 使用类型(USE_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="使用类型",required=false)
    private String useType;

    /**
     * 标志(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="标志",required=false)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 索引码(INDEX_CODE,VARCHAR,40)
     */
    @ApiModelProperty(value="索引码",required=false)
    private String indexCode;

    /**
     * 计量码(METER_CODE,VARCHAR,5)
     */
    @ApiModelProperty(value="计量码",required=false)
    private String meterCode;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.loadPointNo;
    }

    @Override
    public void setId(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }

    public String getRadius() {
        return radius;
    }

    public void setRadius(String radius) {
        this.radius = radius == null ? null : radius.trim();
    }

    public String getLongitudeSpace() {
        return longitudeSpace;
    }

    public void setLongitudeSpace(String longitudeSpace) {
        this.longitudeSpace = longitudeSpace == null ? null : longitudeSpace.trim();
    }

    public String getLatitudeSpace() {
        return latitudeSpace;
    }

    public void setLatitudeSpace(String latitudeSpace) {
        this.latitudeSpace = latitudeSpace == null ? null : latitudeSpace.trim();
    }

    public String getUseType() {
        return useType;
    }

    public void setUseType(String useType) {
        this.useType = useType == null ? null : useType.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getIndexCode() {
        return indexCode;
    }

    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode == null ? null : indexCode.trim();
    }

    public String getMeterCode() {
        return meterCode;
    }

    public void setMeterCode(String meterCode) {
        this.meterCode = meterCode == null ? null : meterCode.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", radius=").append(radius);
        sb.append(", longitudeSpace=").append(longitudeSpace);
        sb.append(", latitudeSpace=").append(latitudeSpace);
        sb.append(", useType=").append(useType);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", indexCode=").append(indexCode);
        sb.append(", meterCode=").append(meterCode);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}